Delete material
curl --request DELETE \
--url https://api.realtimelca.com/rest/api/Mapping/buildingproject/{buildingprojectid}/deletematerial/{materialid} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
[
{
"materialId": "a24a602a-2788-41bc-be36-75424a429ee6",
"includeMapping": true,
"mappedMaterialId": "2193032c-16e9-4c8b-8e54-c35a7bbca3f7",
"isAutoMapping": false
},
{
"materialId": "521386be-4b36-472d-a91f-ad5afdfa0780",
"includeMapping": true,
"mappedMaterialId": "2193032c-16e9-4c8b-8e54-c35a7bbca3f7",
"isAutoMapping": false
},
{
"materialId": "fbb3bef0-d65d-4e62-9b59-35b62a871eae",
"includeMapping": true,
"mappedMaterialId": "2193032c-16e9-4c8b-8e54-c35a7bbca3f7",
"isAutoMapping": false
},
{
"materialId": "18c2337e-a170-4e9a-8368-4808123cecd0",
"includeMapping": true,
"mappedMaterialId": "2193032c-16e9-4c8b-8e54-c35a7bbca3f7",
"isAutoMapping": false
},
{
"materialId": "a1b795f2-b76b-47c6-8142-534a3a79bf9c",
"includeMapping": true,
"mappedMaterialId": "2193032c-16e9-4c8b-8e54-c35a7bbca3f7",
"isAutoMapping": false
}
]
'import requests
url = "https://api.realtimelca.com/rest/api/Mapping/buildingproject/{buildingprojectid}/deletematerial/{materialid}"
payload = [
{
"materialId": "a24a602a-2788-41bc-be36-75424a429ee6",
"includeMapping": True,
"mappedMaterialId": "2193032c-16e9-4c8b-8e54-c35a7bbca3f7",
"isAutoMapping": False
},
{
"materialId": "521386be-4b36-472d-a91f-ad5afdfa0780",
"includeMapping": True,
"mappedMaterialId": "2193032c-16e9-4c8b-8e54-c35a7bbca3f7",
"isAutoMapping": False
},
{
"materialId": "fbb3bef0-d65d-4e62-9b59-35b62a871eae",
"includeMapping": True,
"mappedMaterialId": "2193032c-16e9-4c8b-8e54-c35a7bbca3f7",
"isAutoMapping": False
},
{
"materialId": "18c2337e-a170-4e9a-8368-4808123cecd0",
"includeMapping": True,
"mappedMaterialId": "2193032c-16e9-4c8b-8e54-c35a7bbca3f7",
"isAutoMapping": False
},
{
"materialId": "a1b795f2-b76b-47c6-8142-534a3a79bf9c",
"includeMapping": True,
"mappedMaterialId": "2193032c-16e9-4c8b-8e54-c35a7bbca3f7",
"isAutoMapping": False
}
]
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.delete(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify([
{
materialId: 'a24a602a-2788-41bc-be36-75424a429ee6',
includeMapping: true,
mappedMaterialId: '2193032c-16e9-4c8b-8e54-c35a7bbca3f7',
isAutoMapping: false
},
{
materialId: '521386be-4b36-472d-a91f-ad5afdfa0780',
includeMapping: true,
mappedMaterialId: '2193032c-16e9-4c8b-8e54-c35a7bbca3f7',
isAutoMapping: false
},
{
materialId: 'fbb3bef0-d65d-4e62-9b59-35b62a871eae',
includeMapping: true,
mappedMaterialId: '2193032c-16e9-4c8b-8e54-c35a7bbca3f7',
isAutoMapping: false
},
{
materialId: '18c2337e-a170-4e9a-8368-4808123cecd0',
includeMapping: true,
mappedMaterialId: '2193032c-16e9-4c8b-8e54-c35a7bbca3f7',
isAutoMapping: false
},
{
materialId: 'a1b795f2-b76b-47c6-8142-534a3a79bf9c',
includeMapping: true,
mappedMaterialId: '2193032c-16e9-4c8b-8e54-c35a7bbca3f7',
isAutoMapping: false
}
])
};
fetch('https://api.realtimelca.com/rest/api/Mapping/buildingproject/{buildingprojectid}/deletematerial/{materialid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Project
Delete material
Removes one or more material mappings from a specific building project.
Method: DELETE
URL: {{lcabaseUrl}}/Mapping/buildingproject/:buildingprojectid/deletematerial/:materialid
DELETE
/
Mapping
/
buildingproject
/
{buildingprojectid}
/
deletematerial
/
{materialid}
Delete material
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
default
Response schema not yet documented in the upstream Postman spec.
⌘I

